Copyright: Copyright ® 1997 Novell, Inc.


1st Banner Name

Property Page: Novell* Client* Configuration

Tab: Default Capture

Specifies the text that is printed on the upper half of the banner page.  This text can be up to 12 characters long.


2nd Banner Name

Property Page: Novell* Client* Configuration

Tab: Default Capture

Specifies the text that is printed on the lower half of the banner page.  This text can be up to 12 characters long.


Accept License Agreement

Property Page: Installation Configuration

Tab: Setup

Default: Off

If you this parameter is set to Off, the license agreement pops up during installation.  If it is set to On, the license agreement does not appear during installation--but you will be declaring that you accept the agreement on behalf of your organization and are responsible for compliance with the terms and conditions of the agreement by the users in your organization.


Adapter

Property Page: Novell* Compatibility Mode

Tab: Adapters

Default: Default

Select the network adapter you want to use.


Add Additional Search Paths

Property Page: Host Resources MIB Configuration

Tab: Software Search

After specifying a directory, click Add to add it to the list of Additional Search Paths.


Add Button

Property Page: NetWare*/IP* Configuration

Tab: Servers

Adds a server to the Nearest NetWare/IP Servers or Preferred Domain SAP/RIP Servers list.


Add Frame Type

Property Page: IPX* 32-bit Protocol

Tab: Advanced IPX

After selecting a frame type, click Add to add it to the list of logical boards that IPX should bind to.


Add Local Modems

Property Page: Host Resources MIB Configuration

Tab: Printers and Modems

After specifying a modem, click Add to add it to the list of local modems.


Add Local Printers

Property Page: Host Resources MIB Configuration

Tab: Printers and Modems

After specifying a printer, click Add to add it to the list of local printers.


Add Local Tape Drives

Property Page: Host Resources MIB Configuration

Tab: Tape Drives

After specifying a tape drive, click Add to add it to the list of local tape drives.


Add Scope
Add

Add the specified item to the list.


Add Tree and Name Context Pair

Property Page: Novell* Client* Configuration

Tab: Client

Click this button to add a new tree and name context pair.  When the dialog box comes up, enter a tree name in the Enter Tree Name field, enter a context in the Enter Default Context field, and then click OK.


Additional Components

Property Page: Installation Configuration

Tab: Additional Components

Contains a list of Novell* products that can be installed when you install the client.  Select the items you want installed during an unattended install by checking the check boxes next to those items.


Additional Search Paths

Property Page: Host Resources MIB Configuration

Tab: Software Search

Specifies specific directories that the Host Resources MIB searches for program files.

Notes

When the check box next to a directory has a check mark, all subdirectories of that directory are also searched.  To change this setting, uncheck this check box.

The specified directories are searched in addition to those that are searched because of the Directory Levels to Search from Root setting.

This setting is optional.

The information about the programs is used by the network management console.  It is useful for keeping track of software on client workstations.


Alert Beep

Property Page: Novell Client Configuration

Tab: Advanced Settings

Parameter Group: Troubleshooting

Default: On

Specifies whether Novell* Client* for Windows** 95** should sound an audible beep when it displays popup alert messages.

This parameter applies only to messages that are displayed in character mode.


Allow Backup User

Property Page: TSA Preferences

Tab: Preferences

Check the Allow Backup User check box to grant the backup rights to the backup user. The rights granted to the user depend on the group that user belongs to.


Allow Connection Watchdogging

Property Page: IPX* 32-bit Protocol

Tab: SPX*

Default: On

To have SPX honor application requests for connection watchdogging, check this check box.

To force SPX to ignore connection watchdogging requests, uncheck this check box.


Allow IPX Access through Interrupt 64h

Property Page: IPX 32-bit Protocol

Tab: IPX

Default: On

To allow DOS applications to use interrupt 64h to access IPX* services, check this check box.

If you have a DOS application that is experiencing problems because IPX is hooking interrupt 64h, uncheck this check box.

To allow applications to use interrupt 64h for something other than access to IPX services, uncheck this check box.

If an application works with earlier versions of NetWare* but hangs with NetWare 3.1, uncheck this check box.

Applications should use interrupt 2Fh to get the File Address Register (FAR) call address and then use that address to access IPX services.  This method is preferred because it effectively eliminates conflicting use of interrupt 64h.


Allow IPX Access through Interrupt 7Ah

Property Page: IPX 32-bit Protocol

Tab: IPX

Default: On

To allow DOS applications to use interrupt 7Ah to access IPX* services, check this check box.

If you have a DOS application that is experiencing problems because IPX is hooking interrupt 7Ah, uncheck this check box.

To allow applications to use interrupt 7Ah for something other than access to IPX services, uncheck this check box.

If an application works with earlier versions of NetWare* but hangs with NetWare 3.1, uncheck this check box.

Applications should use interrupt 2Fh to get the File Address Register (FAR) call address and then use that address to access IPX services.  This method is preferred because it effectively eliminates conflicting use of interrupt 7Ah.


Ask for Reboot Upon Completion

Property Page: Installation Configuration

Tab: Setup

Default: On

If this parameter is set to On, the final installation screen displays when the installation process begins.  This screen tells the user that the workstation must be rebooted before the new installation takes effect and asks whether to reboot the workstation.

If it is set to Off, the workstation automatically reboots after the installation process is complete.


Ask to Install NetWare/IP

Property Page: Installation Configuration

Tab: Setup

Default: Off

This parameter works together with the Install NetWare*/IP* parameter.  The following scenarios are possible:

AskNetWareIP=No	InstallNetWareIP=No

Nothing happens.  You are not asked whether you want to install NetWare/IP, and NetWare/IP is not installed.

AskNetWareIP=No	InstallNetWareIP=Yes

NetWare/IP is installed automatically without asking whether you want to install it.

AskNetWareIP=Yes

You are asked whether you want to install NetWare/IP.  You can select Yes to install or No to not install.  If you set AskNetWareIP to Yes, it is not necessary to set the InstallNetWareIP parameter.  You can, however, set the InstallNetWareIP parameter anyway to determine whether the Yes or No button is the default button on the prompt that appears.

AskNetWareIP=Yes	InstallNetWareIP=Yes

The prompt that asks whether you want to install NetWare/IP displays with the Yes button as the default.

AskNetWareIP=Yes	InstallNetWareIP=No

The prompt that asks whether you want to install NetWare/IP displays with the No button as the default.


Ask to Remove Microsoft NetWare Client

Property Page: Installation Configuration

Tab: Setup

Default: Off

If this parameter is set to On, a dialog box appears during installation asking the workstation user whether to delete the Microsoft client.  If it is set to Off, that dialog box does not appear and the Microsoft** client is automatically removed.


Ask to Use Novell GINA

Property Page: Installation Configuration

Tab: Setup

Default: Off

If this parameter is set to On, a dialog box appears during installation asking the workstation user whether the Novell* GINA should be used rather than a third party GINA that has already been installed.  It is highly recommended that you set this setting to Off.  If it is set to Off, that dialog box does not appear and the Novell GINA is installed.


Ask to Use Novell GINA if a 3rd Party GINA is Found

Property Page: Novell Client Configuration

Tab: Client

Default: Enabled

If the workstation uses the Microsoft GINA, or a GINA from any other company other than Novell, enabling this settings prompts the user and asks whether the Novell GINA should be used instead of the third party GINA.

If this setting is not enabled and Use Novell GINA if a 3rd Party GINA is Found is enabled, The Novell GINA will be used without the user being prompted.


Auto Detect Configuration

Property Page: NetWare/IP Configuration

Tab: Parameters

Default: Off

Select this parameter if DHCP is configured to provide NetWare*/IP* parameters.


Auto Endcap

Property Page: Novell* Client* Configuration

Tab: Default Capture

Default: On

If you want captured data to be closed and sent to the printer after you exit an application, check this check box.  If not, then uncheck this check box.  (The latter allows more information to be added to the print job.)


Auto Reconnect

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Connection

Set this parameter to On if you want to automatically reconnect when a connection is unexpectedly lost.


Auto Reconnect Level

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Connection

Range: 0 to 5

Default: 3

Determines what is restored after a network critical error.

These number values cause the following to be restored:

0 = No auto reconnect

1 = Devices (connections, drives, printers) only

2 = Above plus read-only files

3 = Above plus all files and file locks

4 = Above plus added file write data recovery guarantee

5 = Reserved for future use

If you specify 5, the auto reconnect level is effectively 4.


Auto Register

Property Page: TSA Preferences

Tab: Preferences

Check the Auto Register check box if you want to register to the TSAProxy automatically on startup. Otherwise, you can register manually by clicking Register on the Registration screen.


Auto Register on Reboot

Property Page: Target Service Agent

Tab: TSA Information

Check the Auto Register on Reboot check box if you want to register to the TSAProxy automatically on startup. Otherwise, you can register manually by clicking Register on the Registration screen.


Bindery Connection
Bindery Connection check box

Property Page: Novell* Client* Configuration

Tab: Login

When you select Log In to Server, the Bindery Connection check box becomes available.  Check this check box if you want to log in to the server with bindery services rather than with NDS*.


Bitmap Filename

Property Page: Novell* Client* Configuration

Tab: Advanced Login

Default: Nwelcome.bmp

Specifies the bitmap that appears on the welcome screen that appears when you start Windows** NT**.  You can specify any bitmap that you want to use.  You can also leave the field blank if you don’t want to use any bitmap.  The bitmap must be located in the Windows NT directory.


Broadcast SAP Nearest Server Queries to Network

Property Page: NetWare/IP Configuration

Tab: Parameters

Default: Off

To have the NetWare*/IP* client find the nearest NetWare server by broadcasting the request on the local network, check this check box.  To have the NetWare/IP client find the nearest NetWare server by sending the request to a NetWare/IP server or DSS, uncheck this check box.

This option tells the NetWare/IP client which method to use to determine the nearest NetWare server.

This is an optional setting for NetWare/IP.


Burst Mode

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Packet Management

Default: On

The Burst Mode parameter controls the use of the Packet Burst* protocol for file input/ output.  Generally, Packet Burst reduces overall network traffic and improves performance.

If you have a network board that has low performance and your network performance is slow, you might try enabling Packet Burst.


Cache NetWare Password

Property Page: Novell Client Configuration

Tab: Advanced Settings

Parameter Group: Environment, NETX Compatibility

Default: On

Specifies whether the NetWare* password from the first NetWare login is stored in memory and used to authenticate to additional NetWare resources.

Use the default setting if you want the convenience of being prompted for your username and password only when Novell* Client* for Windows** 95** cannot authenticate to a network resource by using the username and password you specified when you first logged in.

Your username and password are stored in memory, not on your hard disk.  After you shut down your computer, your username and password are no longer in memory and you will be prompted for them again the next time you start your computer.

Set the value of this setting to Off if you want the security of being prompted for your username and password whenever you access a network resource that you are not already authenticated to.

For example, if you log out of a tree or server, you have to log back in to regain access to it.  Also, you have to specify your username and password for every bindery resource you want to access.


Cache Writes

Property Page: Novell Client Configuration

Tab: Advanced Settings

Parameter Group: Performance, Cache

Default: On

Specifies whether network writes are cached at this workstation.

The default setting On improves the performance of Novell* Client* for Windows** 95** by saving files to workstation memory before saving them to the network.

Setting the value for this parameter to Off improves data integrity but reduces performance.

Leaving the value for this setting as On (the default) can cause data loss if the NetWare server runs out of disk space between write requests.

Network writes are not cached if the True Commit parameter is set to On.


Caption

Property Page: Novell Client Configuration

Tab: Advanced Login

Default: Begin Login

Example: Hello, Maria!

Use this option to specify the text that appears in the header on the welcome screen that appears when you start Windows** NT**.  You can specify any text that you want to appear.


Checksum

Property Page: Novell Client Configuration

Tab: Advanced Settings

Parameter Group: Packet Management

Range: 0 to 3

Default: 1

Specifies the importance of validating NetWare* Core Protocol* (NCP*) packets.

The values are as follows:

0 = Disabled

1 = Enabled but not preferred

2 = Enabled and preferred

3 = Required

Setting the value for this parameter to 2 or 3 increases data integrity but decreases performance.

Note:  Ethernet frame type 802.3 does not support checksums.


Clear Current Connections

Property Page: Novell* Client* Configuration

Tab: Login

When you check the Clear Current Connections check box, any server connections that you've already made will be cleared when you log in.


Close Behind Ticks

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Performance, Cache

Range:  0 to 65535 (ticks)

Default:  0

Specify the time in ticks that the client waits after a file is closed before flushing the file from the cache and writing it to disk.  Increasing this value improves performance.

Notes

Setting the value for this parameter to 0 increases data integrity but decreases performance.

Using this setting improves performance most when files are opened and closed frequently.

If a file is opened again during the delay period specified by this setting, the file is reused without hitting the network.

If the value of Close Behind Ticks is 0, the value of Delay Writes has no effect.

The value of File Cache Level does not affect whether files are held open after they are closed.  The value of Close Behind Ticks is the only value that affects this.


Close Script Results Automatically

Property Page: Novell* Client* Configuration

Tab: Default Login

When the login routine runs, a message box appears on the screen.  This box provides information about the processing of the login and the login scripts.  If you check the Close Script Results Automatically check box, this box closes, unless errors occur during the login.


Component is Optional

Property Page: Installation Configuration

Tab: This setting appears on multiple component tabs

Default: Depends on the component

If the Display Initial Screen setting is enabled, the user can choose not to install the component by unchecking the Install this Component check box.


Connection

Property Page: TSA Preferences

Tab: Preferences

Check the Connection check box if you want to log connection events.


Connection Service

Use this dialog box to map drives or capture printers that you want to include in your location profile.  When the workstation is started, permanent connections are made to these devices.

The Connection Service dialog box contains the following elements:

Device

Lists the devices that have been mapped or captured.

Path

Lists the path to each device.

Map Drive

Click Map Drive to select a drive to map.

Capture Port

Click Capture Port to select a printer.

Disconnect

Click a device in the the list, then click Disconnect to remove the device from the list.

Remove any user specific Permanent Connections

Check this check box if you want permanent connections to devices for the workstation, but not for individual workstation users.


Contents
Properties Help

This help contains information about the Novell Client for Windows NT and Novell Client for Windows 95 workstation properties.

The file is designed to work as context-sensitive help from within the property pages. However, you can use it as a properties reference guide by clicking Index and searching for the properties you need information about.


Control Community

Property Page: SNMP

Tab: SNMP

Default: None

Specifies the name for the control community.

The control community is the read/write community (the community that is allowed to do SET operations).

A community name can be any arbitrary ASCII string.  It can include any characters except space, tab, open square bracket ( [ ), equal sign ( = ), colon ( : ), semicolon ( ; ), double quotation mark ( " ), or number sign ( # ).

Community name strings are case-sensitive.

Any community name established for read/write access is also valid for read-only access.

When the control community is disabled, all write access is disabled.


Custom Configuration

Property Page: NetWare/IP Configuration

Tab: Parameters

Default: On

Select this parameter if DHCP is not configured to provide NetWare*/IP* parameters, or if you need to customize the NetWare/IP parameters for this workstation.


DOS Long Name Support

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: File System

Default: On

This parameter allows long filenames to appear in the DOS window.


DOS Name

Property Page: Novell Client Configuration

Tab: Advanced Settings

Parameter Group: Environment, NETX Compatibility

Default: WINNT

Example: MSDOS

This parameter sets the name of the operating system used in the shell.

This value can be 1 to 5 characters long.

The %OS variable in the login or profile script uses this variable when mapping a search drive to the network DOS directory.

Novell* Client* for Windows** NT** automatically recognizes WINNT and sets this option.  However, setting this option overrides the autodetect feature.


Days To Cache Volatile Users

Property Page: Novell* Workstation Manager

Tab: Workstation Manager

Default: 0

If volatile user caching is enabled, you can specify the number of days that volatile users will be cached.  The cache stores the volatile user credentials so they can be used again.

If volatile user caching is not enabled, this option is not available.


Default Policy Support

Property Page: Novell Client Configuration

Tab: Advanced Login

Default: Enabled

After the user authenticates to the network with NetWare Login, the authentication server's \SYS\PUBLIC\WINNT directory is searched for NTCONFIG.POL file.  If the file is found,  the policy  is downloaded and applied to the user and workstation.


Delay Writes

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Performance, Cache

Default: Off

Delay Writes keeps the file in cache for the amount of time specified by the Close Behind Ticks parameter after the application closes the file.  This is used for applications that repeatedly close and reopen files(such as overlay files).

Notes

Set the value of this parameter to On if you want faster performance.

When Delay Writes is set to On, network writes can lag behind an application's close file request.  This allows the application to continue without having to wait for the data to actually be written to the network server.  Therefore, the application can respond more quickly.

When Delay Writes is set to On and you exit Windows or the MS-DOS Prompt where you were running an application, all outstanding write data is written to the network without delay.

The amount of time for the delay is specified by the Close Behind Ticks parameter.  If the value of Close Behind Ticks is 0, writes are not delayed regardless of the value of Delay Writes.

 If Cache Writes is set to Off, writes are not delayed regardless of the value of Delay Writes.


Delete

Highlight an item in the list, then click Delete to remove the item from the list.


Delete Additional Search Paths
Remove Additional Search Paths

Property Page: Host Resources MIB Configuration

Tab: Software Search

After selecting a directory, click Remove to delete it from the list of additional search paths.


Description box

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

This box contains a brief description of the highlighted parameter.


Directory Agent List

Property Page: Novell Client Configuration

Tab: Service Location

This is a list of SLP Directory Agent addresses. Multiple Directory Agent addresses are allowed. Each address is a fully qualified domain name (DNS), or a dotted decimal IP address. Directory Agents can also be configured via DHCP, or discovered dynamically.

To add a Directory Agent to the list:

1.	Enter a name in the text field.

2.	Click Add.

To remove a Directory Agent from the list:

1.	Click a name in the Directory Agent list.

2.	Click Delete.

To replace a Directory Agent in the list with a new Directory Agent:

1.	Type the name of the new Directory Agent in the text field.

2.	Click the name of the item you want to replace

3.	Click Replace.

To move a Directory Agent up in the list:

1.	Click the name of the Directory Agent you want to move.

2.	Click Up.

3. Continue to click Up until the item is where you want it to be in the list.

To move a Directory Agent down in the list:

1.	Click the name of the Directory Agent you want to move.

2.	Click Down.

3. Continue to click Down until the item is where you want it to be in the list.


Directory Levels to Search from Root

Property Page: Host Resources MIB Configuration

Tab: Software Search

Range: 0 to 256 (levels)

Default: 1

Specifies a number that indicates how far down the Directory tree the Host Resources MIB searches for program files.

Notes

Zero (0) means that no search is done unless additional search paths are specified.

The first level is the root so, by default, only program files in the root are found.

All local hard disks are searched.  No diskette drives, CD-ROM drives, or network drives are searched.

If you have a lot of local disk space (such as a 1GB hard disk), you should not have the Host Resources MIB search all the disk space.  For optimal performance, minimize the search as much as possible.

The information about the programs is used by the network management console.  It is useful for keeping track of the software on client workstations.


Display Connection Page

Property Page: Novell* Client* Configuration

Tab: Login

Choosing Display Connection Page causes the Connection tab to become visible in the Login window.  The Connection tab allows you to configure the same parameters that appear on the Display Connection Page from the Login window.

You can also enable the Display Connection Page option from the unattend.txt file.

The Display Connection Page section of the Login properties page includes several options:

Log In to Tree button

Log In to Server button

Clear Current Connections check box

Bindery Connection check box


Display Initial Screen

Property Page: Installation Configuration

Tab: Setup

Default: On

This parameter can be used to customize the installation process.  If you set the parameter to Yes, the initial ACU or Welcome screen displays to the user when the installation process begins.  If you set this parameter to No, the installation starts without displaying that screen.


Display Script Page

Property Page: Novell* Client* Configuration

Tab: Login

Choosing Display Script Page causes the Script tab to become visible in the Login window.  The Script tab allows you to configure the same parameters that appear on the Display Script Page from the Login window.

You can also enable the Display Script Page option from the unattend.txt file.

The Display Script Page section of the Login properties page includes several options:

Login Script field

Profile Script field

Close Script Results Automatically check box

Run Scripts check box


Display Script Results Window

Property Page: Novell* Client* Configuration

Tab: Default Login

If you want a window to show you how the login is progressing while you log in, check the Display Script Results Results Window check box.


Display Variables Page

Property Page: Novell* Client* Configuration

Tab: Login

Choosing Display Variables Page causes the Variables tab to become visible in the Login window.  The Variables tab allows you to configure the same parameters that appear on the Display Variables Page from the Login window.

You can define up to four variables to be used by the login scripts.  You or your network supervisor can set up your log in scripts to use these variables.


Down

Select an item from the list and click Down to move that item down one position in the list.


Drives Available

Property Page: TSA Preferences

Tab: Preferences

All the local drives available are displayed in the Drives Available list box.


Enable Authentication Traps

Property Page: SNMP

Tab: SNMP

Default: Off

If you want to improve the security of your workstation by having Desktop SNMP send a trap message when someone without proper access tries to use SNMP to get or change information that Desktop SNMP manages, check this check box.


Enable Banner

Property Page: Novell* Client* Configuration

Tab: Default Capture

Default: On

If you want a banner page for each print job, check this check box.  Otherwise, uncheck this check box.


Enable Control Community

Property Page: SNMP

Tab: SNMP

Values: Specified | Any | Off

Default:

The control community is the read/write community (the community that is allowed to do SET operations).

Select one of the following settings:

Specified enables the control community with the community name that is specified.  The Novell* SNMP Agent uses only the specified control community.

Any enables the control community, allowing all community names read and write access.  Any community string can be used to gain access.  The control community that is specified has access just like any other control community--no more, no less.

Off disables the control community.  The control community that is specified cannot access the control community.  Neither can any other community name.  When the control community is disabled, no management entity can access information for that community.  For example, no one can use the Novell SNMP Agent to do SET operations against the data it manages.

Note:  Omitted is no longer a valid value for this setting.


Enable Gateway

Property Page: IP Gateway

Check this check box if you want to use the Novell* IP Gateway.  When the check box is checked, the Preferred Server and Preferred Tree fields are available.


Enable Monitor Community

Property Page: SNMP

Tab: SNMP

Values: Specified | Any | Off

Default: Specified

The monitor community is the read-only community (the community that is allowed to do GET and GET NEXT operations).

Select one of the following settings:

Specified enables the monitor community with the community name that is specified.  The Novell* SNMP Agent uses only the specified monitor community.

Any enables the monitor community, allowing all community names read access.  Any community string can be used to gain access.  The monitor community that is specified has access just like any other monitor community--no more, no less.

Off disables the monitor community.  When the monitor community is disabled, all read access is disabled.  The monitor community that is specified cannot access the monitor community.  Neither can any other community name.  When the monitor community is disabled, no management entity can access information for that community.  For example, no one can use the Novell SNMP Agent to do GET operations against the data it manages.

Note:  Omitted is no longer a valid value for this setting.


Enable Source Routing over NDIS

Property Page: IPX 32-bit Protocol

Tab: IPX

Default: Off

To have the IPX* protocol do source routing for NDIS** token-ring and FDDI drivers, check this check box.

If you are using an NDIS driver for a token-ring or FDDI network adapter and you want to use source routing, check this check box.

This setting applies to all logical boards presented by all token-ring and FDDI NDIS drivers.

Odi* lan drivers do not use this functionality.


Enable Tabs

Property Page: Novell* Client* Configuration

Tab: Default Capture

Default: Off

If you want the printer to print the specified number of spaces in place of tab characters, check this check box.  If you don't want spaces to be printed in place of tabs in text print jobs, uncheck this check box.  Byte-stream print jobs do not require tabs to be enabled.


Enable Volatile User Caching

Property Page: Novell* Workstation Manager

Tab: Workstation Manager

Volatile user credentials can be stored in a cache so that they can be used again.  To enable this option, check the Enable Volatile User Caching check box.  When the check box is checked, the Days to Cache Volatile Users parameter is available.


Enable Workstation Manager

Property Page: Novell* Workstation Manager

Tab: Workstation Manager

This check box enables Workstation Manager on this workstation.  When the box is checked, the other options on the Workstation Manager tab become available.  If Workstation Manager is not enabled, the other options on the Workstation Manager tab are not available.


End of Job

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Environment, NETX Compatibility

Default: Off

Sends an End Of Job command to the file server, which releases all resources allocated on the file server to the current task.


Environment Pad

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Environment, NETX Compatibility

Range: 17 to 512 (bytes)

Default: 17

Adds the specified number of bytes to the DOS environment for DOS applications.  Use this parameter if you have DOS applications that need to add to the environment after Windows** is loaded.


Events to Log

Property Page: TSA Preferences

Tab: Preferences

Use the Events to Log group box to specify the events to be logged. These events are:

Connection

Registration

Security

Service


File Cache Level

Property Page: Novell Client Configuration

Tab: Advanced Settings

Parameter Group: Performance, Cache

Range: 0 to 4

Default: 3 (long-lived caching)

Defines how the Novell* Client* for Windows** 95** software should cache file data.

The values are as follows:

0 = Disabled

Turns file caching off, so that Novell Client for Windows 95 does not do file caching.  When file caching is off, no extended memory is used for caching.

1 =  Read-ahead and write-behind only

Causes Novell Client for Windows 95 to use read-ahead and write-behind file caching without using any other file-caching methods.

2 = Short-lived caching

When using this caching method, Novell Client for Windows 95 can cache file data up until the file is closed.  If the file is reopened, file read and write operations will begin fresh instead of checking the cache to see if any file data is still there.

3 = Long-lived caching

When using this caching method, Novell Client for Windows 95 retrieves file data from cache buffers that are already in memory if a file is closed and reopened and if the file data is still in the buffers--but only if no changes have been made to the file since the last time it was in cache memory.

4 = (Reserved for future use)

The larger the number value, the better the performance.

Network writes are not cached if True Commit is set to On or if Cache Writes is set to Off.


First Network Drive

Property Page: Novell* Client* Configuration

Tab: Client

Default: F

This parameter sets the first network drive to the drive letter of choice when you connect to a NetWare* server.

The first network drive applies to any user logging in to the network using the workstation where it is set.


Force First Network Drive

Property Page: Novell* Client( Configuration

Tab: Advanced Settings

Parameter Group: Environment, NETX Compatibility

Default: Off

Specifies the network drive letter that the sys:login directory is mapped to before logging in and after logging out of a server or network.

Important:  For this setting to work, also set the First Network Drive setting.

Setting the value to On specifies that the drive letter that the sys:login directory is mapped to after logging out must be the same as the one used in FIRST NETWORK DRIVE.

Setting the value to Off specifies that the drive letter is the one you logged out from, unless you logged out from a local drive.


Force Reboot Regardless of Other Applications

Property Page: Installation Configuration

Tab: Setup

Default: Disabled

Warning: Enabling this option could result in lost data.

If this setting is enabled, the workstation will automatically restart after the Client is installed.  Any applications that are open will automatically be closed without saving any unsaved data.

If this setting is disabled, the workstation will not be restarted, unless the Reboot Upon Completion parameter is enabled.  If Reboot upon Completion is enabled and Force Reboot Regardless of Other Applications is disabled, workstation users can save data and close applications before the workstation shuts down.


Form Feed

Property Page: Novell* Client* Configuration

Tab: Default Capture

Default: On

If you want the printer to add blank piece of paper at the end of the print job, check this check box.  Otherwise, uncheck this check box.


Frame Type

Property Page: IPX 32-bit Protocol

Tab: Advanced IPX

Default:  Ethernet_802.2

After selecting a frame type, click Add to add it to the list of frame types that you want IPX* to use.

A few commonly used frame types are Ethernet_802.2, Ethernet_802.3, Ethernet_II, Ethernet_SNAP, Token-Ring, and Token-Ring_SNAP.


Frame Type of Primary Logical Board

Property Page: IPX 32-bit Protocol

Tab: Advanced IPX

Default:  Ethernet_802.2

Specifies the frame type of the logical board that IPX* uses as the primary board.

A few commonly used frame types are Ethernet_802.2, Ethernet_802.3, Ethernet_II, Ethernet_SNAP, Token-Ring, and Token-Ring_SNAP.


Gateway List Stale Time

Property Page: Novell* Compatibility Mode

Tab: Adapters

Default: 250


Handle Net Errors

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Trouble Shooting

Default: On

Determines the default method for handling network errors.

To have the client handle network critical errors, set the value to On.

To have the client generate an interrupt 24, allowing applications to handle network critical errors,.set the value to Off.

A network error is generated when the client workstation doesn't receive a response from the NetWare* server.

The value of Handle Net Errors affects the handling of the Net Status Timeout and Net Status Busy Timeout settings.


Hold

Property Page: Novell* Client* Configuration

Tab: Default Capture

Default: Off

To put a hold on print jobs, check this check box.


Hold Files

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Environment, NETX Compatibility

Default: Off

Specifies whether files opened by a program using FCB_IO are held open until the program ends.

The default setting Off means that files opened by a program using FCB_IO can be closed by the program before it exits.  On means they are held open until the program exits.

Older versions of certain applications that use FCB_IO might need the value of this setting to be On.


IPX Diagnostics Enabled

Property Page: IPX 32-bit Protocol

Tab: IPX

Default: On

To enable the IPX* diagnostics function, check this check box.

To disable the IPX diagnostics function, uncheck this check box.  Uncheck this check box only if you don't want an administrator to be able to query IPX and SPX* statistics for this workstation.


IPX Retry Count

Property Page: IPX 32-bit Protocol

Tab: IPX

Range: 0 to 65535 (tries)

Default: 20

Indicates the number of times the client workstation should try to find a route to a destination.

Incrementing this number also increments the SPX* retry count.

If IPX* or SPX applications are timing out, increase the value of this setting.

IPX now uses this setting differently than it did for previous NetWare* clients.


Install NetWare/IP

Property Page: Installation Configuration

Tab: Additional Components

Check this check box if you want to install NetWare*/IP* when you install the Novell* Client* software.

This parameter works together with the Ask to Install NetWare/IP parameter.  The following scenarios are possible:

AskNetWareIP=No	InstallNetWareIP=No

Nothing happens.  You are not asked whether you want to install NetWare/IP, and NetWare/IP is not installed.

AskNetWareIP=No	InstallNetWareIP=Yes

NetWare/IP is installed automatically without asking whether you want to install it.

AskNetWareIP=Yes

You are asked whether you want to install NetWare/IP.  You can choose Yes to install or No to not install.  If you set AskNetWareIP to Yes, it is not necessary to set the InstallNetWareIP parameter.  You can, however, set the InstallNetWareIP parameter anyway to determine whether the Yes or No button is the default button on the prompt that appears.

AskNetWareIP=Yes	InstallNetWareIP=Yes

The prompt that asks whether you want to install NetWare/IP displays with Yes as the default.

AskNetWareIP=Yes	InstallNetWareIP=No

The prompt that asks whether you want to install NetWare/IP displays with No as the default.


Install This Component

Property Page: Installation Configuration

Tab: This setting appears on multiple component tabs

Default: Depends on the component

If Install This Component is enabled, the component will be installed. If the setting is disabled, the component will not be installed.


Internal Version: Major

Property Page: Installation Configuration

Tab: Various component tabs

Range: 0 through 4,294,967,295

Default: 0

The Major and Minor version numbers are used to decide when the client upgrades.  To force the upgrade, you must make the version number higher than it is when the client was first installed (for example, if the number is 0, make it a 1).  With this done, ACU compares the version numbers at client login, finds the discrepancy, and upgrades the client to the system's newer files.


Internal Version: Minor

Property Page: Installation Configuration

Tab: Various component tabs

Range: 0 through 4,294,967,295

Default: 0

The Major and Minor version numbers are used to decide when the client upgrades.  To force the upgrade, you must make the version number higher than it is when the client was first installed (for example, if the number is 0, make it a 1).  With this done, ACU compares the version numbers at client login, finds the discrepancy, and upgrades the client to the system's newer files.


Keep

Property Page: Novell* Client* Configuration

Tab: Default Capture

Default: Off

If you want to keep print jobs in the print queue after they are printed, check this check box.  Otherwise, uncheck this check box.


Large Internet Packet Start Size

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: WAN

Range: 512 to 65535 bytes

Default: 65535

Determines the starting value for negotiating the Large Internet Packet (LIP) size.  Setting this value can reduce the initial negotiation time for packet size over slow links.


Large Internet Packets

Property Page: Novell Client Configuration

Tab: Advanced Settings

Parameter Group: WAN

Default: On

Enables or disables Large Internet Packet (LIP) support.  When the parameter is enabled (On), Novell* Client* for Windows** NT** uses the maximum packet size negotiated between the NetWare* server and the client workstation--even across routers and bridges. If the maximum packet size supported by the network is smaller than the negotiated packet size, the size supported by the network is used.


Line Draw Characters

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Connection

Valid values:  1 to 6

The six characters determine the border of the NWPOPUP message and have the following meanings:

1 = Top left

2 = Top right

3 = Bottom left

4 = Bottom right

5 = Vertical line

6 = Horizontal line


Link Support Layer Max Buffer Size

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Packet Management

Range: 638 to 24682 (bytes)

Default: 4736

Specifies the maximum supported packet size in bytes.  Use this setting to optimize performance for media (primarily token ring) that can use packets that are larger than the default size.

If your network board uses bus-mastering, increasing this setting increases system memory usage.  Otherwise, system memory usage is usually unaffected by this setting.


Local Modems

Property Page: Host Resources MIB Configuration

Tab: Printers and Modems

This optional setting specifies information about the modem that is used by this workstation (for example, Hayes** 14400 BP Modem).  This information is used by the network management console.


Local Printers

Property Page: Host Resources MIB Configuration

Tab: Printers and Modems

This optional setting specifies information about the printers that are attached to this workstation (for example, HP** LaserJet** 3P).  This information is used by the network management console.


Local Tape Drives

Property Page: Host Resources MIB Configuration

Tab: Tape Drives

This optional setting specifies information about the tape drives that are used by this workstation (for example, Quantum** Tapedrive).  This information is used by the network management console.


Location Profiles

Property Page: Novell Client Configuration

Tab: Location Profiles

Location profiles allow a network supervisor to save the information from a user's specific login into one profile. When the user selects this profile when logging in, the profile automatically sets up log in information such as the user's name, server, context, login script, and other applicable information so that the user does not have to type this information.

To add a location profile:

1.	Open the Client property pages.

There are several ways to open the property pages:

1a. Right-click Network Neighborhood and click Properties > Location Profiles.

1b. Click Start > Settings > Control Panel > Network > Services > Novell Client for

         Windows NT > Properties > Location Profiles

1c. Open a Workstation Package in nW Admin, then go to the Client Configuration page.

2. 	Type the name of the profile you want to add.

3. 	Click Add.

To remove a location profile:

1. 	Click the name of the profile you want to remove.

2. 	Click Remove.

To view a profile's properties:

1.	Click the name of the profile.

2.	Click Properties.


Lock Delay

Property Page: Novell Client Configuration

Tab: Advanced Settings

Parameter Group: File System

Range: 1 to 65535 (ticks)

Default: 1

Determines the amount of time (in ticks) Novell* Client* for Windows** 95** waits before trying to get a lock.

Use this setting if client workstations frequently receive error messages when a file is requested.

When many users access a file at the same time, Novell Client for Windows 95 might be unable to gain access before its allotted wait time.

This number is used for lock types that do not have a wait ability.  For locks that have a wait ability, the wait time is calculated by multiplying this setting number by the Lock Retries number and then multiplying by 2.  The resulting number is the time, in ticks, the client workstation waits for a lock.

To determine the total time (in ticks) needed to broadcast a name resolution packet across the network, multiply the wait time value by the value used for the Lock Retries setting.


Lock Retries

Property Page: Novell Client Configuration

Tab: Advanced Settings

Parameter Group: File System

Range: 1 to 65535 (retries)

Default: 5

Specifies the number of times Novell* Client* for Windows** 95** attempts to get a lock on the network.

Increase the value of this setting if a client workstation frequently receives error messages when a file is requested.

This setting is part of an equation that determines the total time Novell Client for Windows 95 waits when attempting to access a locked file.

This number is used for lock types that do not have a wait ability.  For locks that have a wait ability, the wait time is calculated by multiplying this setting number by the Lock Delay number and then multiplying by 2.  The resulting number is the time, in ticks, the client workstation waits for a lock.

To determine the total time (in ticks) needed to broadcast a name resolution packet across the network, multiply the wait time value by the value used for the Lock Retries setting.


Log File

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Trouble Shooting

Default: The nios.log file in the NetWare* home directory

Example: c:\novell\client32\log.txt

Specifies the name of the log file.

Specify the name, including the path, for the log file.


Log File Size

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Trouble Shooting

Range: 1 to 1048576 (bytes)

Default: 65535

Specifies the maximum size (in bytes) of the log file.


Log In to Server

Property Page: Novell* Client* Configuration

Tab: Default Login

If you click Log In to Server, you will log in to a NetWare* server when you log in to the network.  This means that you can access files, applications, and other services available from that server.

When you click Log In to Server, the Bindery Connection check box becomes available.  If you choose to make a bindery connection, you cannot access other NDS* objects that are not available on that server.


Log In to Tree

Property Page: Novell* Client* Configuration

Tab: Default Login

If you click Log In to Tree, you will log in to an NDS* tree when you log in to the network.  Choosing this option allows you to access services such as printers and servers that are available on that tree.


Login Script

Property Page: Novell* Client* Configuration

Tab: Login

Sets the name of the login script that you want to use when logging in to NetWare*.


Long Machine Type

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Environment, NETX Compatibility

Default: IBM_PC

Example: COMPAQ

Tells the Novell* Client* for Windows** NT** software what type of machine is being used each time the %MACHINE variable is accessed.  Use this setting to set the machine's search path to the correct version of DOS.


Max Cache Size

Property Page: Novell Client Configuration

Tab: Advanced Settings

Parameter Group: Performance, Cache

Range: 0 to 18432 (KB)

Default: 0

Sets the largest possible amount of memory (in KB) that Novell* Client* for Windows** 95** can use for caching.

When the value of this parameter is set to 0 (the default), the cache size is dynamically set to 25% of the total amount of memory that is free when the client32.nlm program loads.  The amount of memory that is free at this time can vary significantly between workstations because it depends on what other software is installed.

When the value of this parameter is not 0, the cache size is set to the specified value.  However, the cache size cannot be greater than 75% of the total free memory.  For example, if you specify a value of 8192 for this parameter and the total free memory when client32.nlm loads is only 8 MB, your cache size would be around 6 MB because that is 75% of the free memory.

Larger values improve the performance of network file access but decrease the memory available for running applications or caching local drives.

When caching is turned off (by setting the File Cache Level to 0), Novell Client for Windows 95 does not use any workstation memory for caching.


Max Cur Dir Length

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Environment, NETX Compatibility

Range: 64 to 255 (characters)

Default: 64

Specifies the length of the DOS prompt.

Some applications do not function correctly if this value is greater than 64.


Max Read Burst Size

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Packet Management

Range: 1 to 65536 (bytes)

Default: 36000

Specifies the maximum read burst size that the client can request from the server.  Max Read Burst Size values smaller than the maximum packet size supported by the medium effectively disable Packet Burst* for file reads.  The client will try to request a read burst of the maximum size only if network conditions allow it.


Max Write Burst Size

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Packet Management

Range: 1 to 65536 (bytes)

Default: 15000

Specifies the maximum write burst size that the client can request from the server.  Max Write Burst Size values smaller than the maximum packet size supported by the medium effectively disable Packet Burst* for file writes.  The client will try to request a write burst of the maximum size only if the network conditions allow it.  Increasing this value beyond its default might be detrimental to server performance.


Maximum Transmission Unit

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: SLP General

Range: 576 to 4096 (bytes)

Default: 1400


Message Sound File

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Graphical Interface

Default: Empty

Specifies the filename of the sound file that plays when a message is received.  The sound file must be in the .wav format.  If no file is specified, no sound is played.


Message Timeout

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Trouble Shooting

Range: 0 to 10000 (ticks)

Default: 0

Defines how long (in ticks) before broadcast messages are cleared from the screen without user intervention.

0 (zero) means to wait for the user to clear the message.

10000 ticks is about nine minutes.


Minimum Time to Net

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: WAN

Range: 0 to 65535 milliseconds

Default: 0

Used for bridged WAN/satellite links with time-to-net values set too low for workstations to make a connection under either of the following conditions:

The server on the other side of the link is not running Packet Burst*

The transfer rate for the link is 2400 baud or less

For 2400 baud, set this parameter to 10000 milliseconds.


Monitor Community

Property Page: SNMP

Tab: SNMP

Default: Public

Specifies the name for the monitor community, which is the read-only community (the community that is allowed to do GET and GET NEXT operations).

A community name can be any arbitrary ASCII string.  It can include any characters except space, tab, open square bracket ( [ ), equal sign ( = ), colon ( : ), semicolon ( ; ), double quotation mark ( " ), or number sign ( # ).

Community name strings are case-sensitive.

When the monitor community is disabled, all read access is disabled.


NCP Max Timeout

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: WAN

Range: 0 to 65535 (seconds)

Default: 30

Specifies the amount of time allowed to retry a network connection.  If the network connection cannot be established in the specified amount of time, an error message appears.


NWLanguage

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Environment, NETX Compatibility

Default: English

Determines the language that NetWare* utilities will default to on this workstation.


Name Cache Level

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Performance, Cache

Range: 0 to 2

Default: 2

Caching file writes improves performance by saving files to workstation memory before saving them to the network.


Name Context

Property Page: Novell* Client* Configuration

Tab: Client

Default: Root

Sets your current position, or context, in the Directory tree structure.  For example, ou=mngt.o=marketing specifies the Mngt organizational unit in the Marketing organization as the context.

If duplicate usernames exist, use this setting to specify the context for the username you want.

This setting applies only to client workstations connecting to a NetWare* 4* or NetWare 5* network.

The name context can be up to 256 characters long plus the NULL command, which indicates the root of the Directory tree.


Nearest NetWare/IP Servers

Property Page: NetWare/IP Configuration

Tab: Servers

Default: none

Examples:

mydss (hostname)

mydss.atlantic.com	(fully qualified hostname)

222.33.44.55	(IP address for mydss)

222.33.0.0	(IP address mask for mydss)

This optional setting is used as a guide for locating the nearest NetWare*/IP* servers.  You can specify up to 5 nearest NetWare/ IP servers.  If the specified servers are not available, the DSS will provide others to use.

Specify the NetWare/IP server names as DNS hostnames, fully qualified hostnames, IP addresses, or IP address masks.


Net Status Busy Timeout

Property Page: Novell Client Configuration

Tab: Advanced Settings

Parameter Group: Trouble Shooting

Range: 1 to 600 (seconds)

Default: 20

Specifies the number of seconds Novell* Client* for Windows** 95** waits for a nonbusy response before displaying a message that the server is busy.

When Handle Net Errors is set to Off, the error message does not appear.  Instead, an error is returned to the application that made the network request.


Net Status Timeout

Property Page: Novell Client Configuration

Tab: Advanced Settings

Parameter Group: Trouble Shooting

Range: 1 to 600 (seconds)

Default: 30

Specifies the number of seconds Novel*l Client* for Windows** 95** waits for a network response before concluding that a network error occurred.

The actual time Novell Client for Windows 95 waits might be longer than this value.  If four times the average roundtrip time to the network is greater than the value for Net Status Timeout, the client waits four times the average roundtrip time.

For example, if the Net Status Timeout is 15 seconds and the average roundtrip time to the server is four seconds, the client waits 16 seconds (four times the average roundtrip time) before displaying an error message.

When Handle Net Errors is set to Off, the error message does not appear.  Instead, an error is returned to the application that made the network request.


NetWare Protocol

Property Page: Novell Client Configuration

Tab: Advanced Settings

Parameter Group: Connection

Valid values:  NDS*, BIND

Default: NDS BIND

Allows you to specify the NetWare* protocols that are accessed during authentication to the network and the order in which they are accessed.

You can give priority to a specific protocol for login, load order, and other functions performed by Novell Client* for Windows** 95**.


NetWare Storage of Roaming Profile

Property Page: Novell* Client* Configuration

Tab: Advanced Login

To enable the use of a roaming profile, check this check box on the Advanced Login property page.


NetWare/IP 1.1 Compatibility

Property Page: NetWare/IP Configuration

Tab: Parameters

Default: Off

If your servers are running NetWare*/IP* 1.1 pre-patch, check this check box.  This setting is used to support the first version of NetWare/IP and DSS servers.  If your servers are running NetWare/IP 1.1 pre-patch, we recommended that you upgrade with the patch or to version 2.2.  In the interim, checking this box allows this (NetWare/IP 2.2-compliant) client to communicate with the NetWare/IP servers.


NetWare/IP Domain Name

Property Page: NetWare/IP Configuration

Tab: Parameters

Default: None

Example: nwip.atlantic.com

This required setting for NetWare*/IP* specifies the NetWare/IP Domain that is configured for your area.


Network Printers

Property Page: Novell Client Configuration

Tab: Advanced Settings

Parameter Group: Printing

Range: 0 to 9 (printer ports)

Default: 3

Sets the number of LPT ports that Novell* Client* for Windows** 95** can capture.

This setting allows you to capture and redirect LPT1 through LPT9.

Increasing the value of this setting increases memory use.  The amount of conventional memory used can be calculated using the following formula:

mem = netprt x (prthdr + prttail + 23 bytes)

For example:

Network Printers [netprt] = 3

Print Header [prthdr] = 64 bytes

Print Tail [prttail] = 16 bytes

Memory [mem] = 3 x (64 bytes + 16 bytes + 23 bytes) = 309 bytes


Notify

Property Page: Novell* Client* Configuration

Tab: Default Capture

Default: Off

If you want to receive a message when the print job is printed, check this check box.  Otherwise, uncheck this check box.


Number of Copies

Property Page: Novell* Client* Configuration

Tab: Default Capture

Range: 1 to 255

Default: 1

Specifies the number of copies to print.


Number of Seconds Between Retries

Property Page: NetWare*/IP* Configuration

Tab: Parameters

Range: 5 to 99 (seconds)

Default: 10

Specifies the number of seconds to wait between retries of an unanswered DSS request.


Number of Spaces

Property Page: Novell* Client* Configuration

Tab: Default Capture

Range: 1 to 18

Default: disabled, 8

Specifies the number of spaces that are printed in place of tab characters.  You must check the Enable Tabs check box for this setting to take effect.


Opportunistic Locking

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Performance, Cache

Default: Off

Use this parameter to automatically detect opportunities to cache files.  On offers increased performance.


Packet Burst

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Packet Management

Default: On

To enable Packet Burst*, specify On.

To disable Packet Burst, specify Off.

This setting controls the use of the Packet Burst protocol for file input/output.

Generally, Packet Burst reduces overall network traffic and improves performance.

If you have a network board that has low performance and if your network performance is slow, you might try disabling Packet Burst.


Packet Burst Read Window Size

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Packet Management

Range: 3 to 255 (packets)

Default: 24 (or 255, if Packet Burst* detects a low bandwidth network connection)

Specifies the maximum window size (in packets) that Packet Burst should use for read bursts.  Normally, you should not change the value of this setting.

The window size that Packet Burst uses changes dynamically depending on network conditions.  The Packet Burst Read Window Size sets an upper limit for this window size.

Packet Burst overrides the value for the Packet Burst Read Window Size setting if the number of packets specified results in a window size that is greater than 64 KB.

For example, if each packet is 1500 bytes and the Packet Burst Read Window Size is 50, Packet Burst overrides the Packet Burst Read Window Size specified and uses a maximum window size of 43 packets.  This is because fifty 1500-byte packets is about 73 KB, whereas forty-three 1500-byte packets is just under 64 KB.

For low-bandwidth network connections, increasing this value might improve performance.


Packet Burst Write Window Size

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Packet Management

Range: 3 to 255 (packets)

Default: 10 (or 255, if Packet Burst* detects a low bandwidth network connection)

Specifies the maximum window size (in packets) that Packet Burst should use for write bursts.  Normally, you should not change the value of this setting.

Increasing this value might have a negative effect on server performance.

The window size that Packet Burst uses changes dynamically depending on network conditions.  The Packet Burst Write Window Size sets an upper limit for this window size.

Packet Burst overrides the value for the Packet Burst Write Window Size setting if the number of packets specified results in a window size that is greater than 64 KB.

For example, if each packet is 1500 bytes and the Packet Burst Write Window Size is 50, Packet Burst overrides the Packet Burst Write Window Size specified and uses a maximum window size of 43 packets.  This is because fifty 1500-byte packets is about 73 KB, whereas forty-three 1500-byte packets is just under 64 KB.

For low-bandwidth network connections, increasing this value might improve performance.


Parameter Groups

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

You can list the advanced parameters by parameter groups.  Parameter groups sort the parameters by function.  Related parameters are grouped together.  This makes it easier to find specific types of parameters.


Parameters List

Property Page: Novell Client Configuration

Tab: Advanced Settings

This list box lists the available advanced parameters for the Novell Client.

For information about a specific parameter:

1. Click on the parameter in the list.

2. Right-click the setting in the Setting field.

3. Click What's This?


Password (TSA)
Password

Property Page: Target Service Agent

Tab: TSA Information

Enter the password that the TSA user must enter.


Path

Property Page: Novell* Client* Configuration

Tab: Advanced Login

When you choose this option, the Path edit box becomes available.  Use this edit box to specify where the profile should be stored.


Policy Path and Filename

Property Page: Novell* Client* Configuration

Tab: Advanced Login

To specify your policy path and filename, enter the path to your policy file in the Policy Path and Filename text box.  The path must be a valid UNC path.

UNC-style pathnames do not use the usual MS-DOS* pathname convention (drive:\directory).  Instead, use the following format:

\\server\volume\dir1\dir2\filename.ext


Polled Broadcast Message Buffers

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Environment, NETX Compatibility

Range: 0 to 100

Default: 0

Sets the number of broadcast messages saved on the client when Broadcast Message Mode is set to Polled.


Port Number

Property Page: NetWare/IP Configuration

Tab: Parameters

Default: ABCD

If Use NWIP Custom Port is enabled, specify the port you want to use for NetWare*/IP* in this field.


Pre-allocate VGNMA Memory

Property Page: IPX* 32-bit Protocol

Tab: IPX

Default: Off

To allocate conventional memory for VGNMA operation, check this check box.  Preallocate VGNMA memory for 16-bit GNMA Responder applications if they don't work correctly otherwise.


Preferred Domain SAP/RIP Servers

Property Page: NetWare*/IP* Configuration

Tab: Servers

Default: None

Examples:

dss	 (hostname)

dss.atlantic.com	 (fully qualified hostname)

2.33.44.55	 (IP address for mydss)

2.33.0.0	 (IP address mask for mydss)

Specifies the Domain SAP/RIP servers that you want to use as your preferred domain SAP/RIP servers.

The addresses and names are used as a guide for locating preferred domain SAP/RIP servers.  If none of the domain SAP/RIP servers is available, DNS is queried for the Domain SAP/RIP Server list.

You can specify up to five domain SAP/RIP servers that you consider preferred.

Specify the domain SAP/RIP server names as hostnames, fully qualified hostnames, IP addresses, or IP address masks.


Preferred IP/IP Gateway Server

Property Page: IP Gateway

Tab: Novell IP Gateway

Specify the server that is running the Novell* IP gateway that you want to use.


Preferred IPX/IP Gateway Server

Property Page: IP Gateway

Tab: Novell IP Gateway

Specify the server that is running the Novell* IP gateway that you want to use.


Preferred Server

Property Page: Novell Client Configuration

Tab: Client

Specifies the preferred NetWare* server that NDS* should authenticate the user to when the Novell* Client* for Windows** NT** software is started.  This setting causes the client to attempt to create a connection to the specified server.

The Preferred Server and Preferred Tree parameters work together.  If the Preferred Server parameter is set, NDS attempts to authenticate the user to that server.  If the Preferred Tree parameter is set, NDS sends a Get Nearest Server message and attempts to authenticate the user to the server that responds to the message, regardless of whether the a Preferred Server is set.

The preferred server applies to any user logging in to the network using this workstation.


Preferred Server (IP Gateway)
Preferred Server

Property Page: IP Gateway

Specify the server that is running the Novell* IP Gateway that you want to use.

This option is available only if Enable Gateway is checked.


Preferred Server (TSA)

Property Page: TSA Preferences

Tab: Preferences

Use the Preferred Server field to specify the name of the server the TSA should register to.


Preferred Tree

Property Page: Novell Client Configuration

Tab: Client

The Preferred Tree parameter specifies the Directory tree you attach to first when you start the Novell* Client* for Windows** NT** software.  This setting causes the client to attempt to create a connection to a server in the specified tree.

If the Preferred Tree parameter is set, the client attempts to connect to any server in that tree.  If there is no tree set, it attempts to connect to the configured preferred server.  If neither is set, then the client connects to any server that responds to its Get Nearest Server request.

It is possible to use login scripts or profile scripts to specify multiple trees to log in to.  The user can log in to as many trees as are designated for that user; however, there is always only one preferred tree.

The preferred tree applies to any user logging in to the network using this workstation.  To log in to a different tree, you can change your tree for this login session when logging in to the network.


Preferred Tree (IP Gateway)
Preferred Tree

Property Page: IP Gateway

Specify the tree containing the server that is running the Novell* IP Gateway that you want to use.

This option is available only if Enable Gateway is checked.


Primary Logical Board

Property Page: IPX 32-bit Protocol

Tab: Advanced IPX

Default: Unchecked (IPX* automatically detects the primary board)

To specify which logical board IPX should use as the primary board, check this check box.  You specify the logical board by specifying a frame type.

By default, IPX automatically detects the primary board.  IPX uses a self-discovery algorithm to automatically select a primary board when this option is not selected.  Use this option if IPX fails to select the correct primary board.


Print Header

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Printing

Range: 0 to 1024 (bytes)

Default: 64

Sets the size of the buffer (in bytes) that holds the information used to initialize a printer for each print job.

If you send print jobs with many instructions in the header (such as initializing a printer for an emulated mode or changing defaults, font selections, page length, or orientation) and the printer is not delivering all the requested attributes, increase the print header size.

If you are using a PostScript** printer and print jobs are not printing properly, increase the print header size.


Print Tail

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Printing

Range: 0 to 1024 (bytes)

Default: 16

Sets the size of the buffer (in bytes) that holds the information used to reset the printer after a print job.

If your printer is not clearing out the buffer completely or resetting after each print job, increase the print tail size.


Profile Script

Property Page: Novell* Client* Configuration

Tab: Login

This field lets you set an alternate NDS* profile script to use when you log in.  This alternate profile script will be run instead of your normal NDS profile script.


Properties

Property Page: Novell Client Configuration

Tabs: Location Profiles, Services

Click Properties to view the properties of the selected profile or service instance.


Protocol

Property Page: TSA Preferences

Tab: Preferences

Windows NT TSA supports multiple protocols. At present, two protocol options are provided: SPX/IPX and TCP/IP. Only the Protocols whose protocol stacks are installed on the workstation are displayed.  You can choose any one of the options using the Protocol drop down list.


Read Only Compatibility

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: File System

Default: Off

Determines whether a file marked Read Only can be opened with a read/write access call.

If you are using any application that uses the NETX=OFF command, ensure that this setting is On.

Prior to NetWare* 2.1, a program could open a Read Only file with write access without getting an error.  However, any attempt to write to the file produced an error.  This is what happens when this setting is On.  When this setting is Off, a Read Only file cannot be opened for write access.


Reboot Upon Completion

Property Page: Installation Configuration

Tab: Setup

Default: Enabled

If this setting is enabled, the workstation automatically restarts after the Novell Client is installed.  If any applications are running, you are given the chance to save open files before the workstation shuts down.

If this setting is enabled and Force Reboot Regardless of Other Applications is also enabled, the workstation shuts down and restarts without giving you the chance to save open files.

Warning: Restarting the workstation without saving open files can result in lost data.

If this setting is disabled, the workstation will not reboot after the client installation. The new client and any new settings will not go into effect until the workstation is restarted.


Receive Broadcast Messages

Property Page: Novell Client Configuration

Tab: Advanced Settings

Parameter Group: Environment, NETX Compatibility

Default:  All

Example:  Server Only

Tells Novell* Client* for Windows** NT** software which broadcast messages, if any, to receive.

You can choose one of the following settings:

All

Receive all broadcast messages.

Server Only

Receive broadcast messages sent by the server only.

None

Do not receive any broadcast messages.


Registration

Property Page: TSA Preferences

Tab: Preferences

Check the Registration check box if you want to log registration events.


Remove Button

Property Page: NetWare*/IP* Configuration

Tab: Servers

Removes a server from the Nearest NetWare/IP Servers or Preferred Domain SAP/RIP Servers list.


Remove Drive From Environment

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Environment, NETX Compatibility

Default: On

Determines if a search drive letter is removed from the path when a drive is deleted.


Remove Frame Type

Property Page: IPX* 32-bit Protocol

Tab: Advanced IPX

After selecting a frame type to remove from the list, click Remove.


Remove Local Modems

Property Page: Host Resources MIB Configuration

Tab: Printers and Modems

After selecting a modem to delete from the list, click Remove.


Remove Local Printers

Property Page: Host Resources MIB Configuration

Tab: Printers and Modems

After selecting a printer to delete from the list, click Remove.


Remove Local Tape Drives

Property Page: Host Resources MIB Configuration

Tab: Tape Drives

After selecting a tape drive to delete from the list, click Remove.


Remove Microsoft NetWare Client

Property Page: Installation Configuration

Tab: Client

Default: On

If this parameter is set to On, the Microsoft** client will be removed if the dialog box asking whether you want to remove the client does not appear.  If the dialog box does appear, the Yes button will be the default button.  If you set this parameter to Off, the opposite is true.


Remove Tree and Name Context Pair

Property Page: Novell* Client* Configuration

Tab: Client

After selecting a tree and name context pair to delete from the list, click Remove.


Replace

After entering the name of a new item, click an existing item in the list and then click Replace to replace the existing item with the new item.


Replace Additional Search Paths

Property Page: Host Resources MIB Configuration

Tab: Software Search

After specifying a directory to replace and then selecting a replacement directory from the Additional Search Paths list, click Replace.


Replace Button

Property Page: NetWare*/IP* Configuration

Tab: Servers

Replaces a server in the Nearest NetWare/IP Servers or Preferred Domain SAP/RIP Servers list.


Replace Local Modems

Property Page: Host Resources MIB Configuration

Tab: Printers and Modems

After specifying a modem to replace and then selecting a replacement modem from the Local Modems list, click Replace.


Replace Local Printers

Property Page: Host Resources MIB Configuration

Tab: Printers and Modems

After specifying a printer to replace and then selecting a replacemant printer from the Local Printers list, click Replace.


Replace Local Tape Drives

Property Page: Host Resources MIB Configuration

Tab: Tape Drives

After specifying a tape drive to replace and then selecting a replacement tape drive from the Local Tape Drives list, click Replace.


Replace Tree and Name Context Pair

Property Page: Novell* Client* Configuration

Tab: Client

After selecting a tree and name context pair to replace, click Replace and then enter the new tree and name context information in the appropriate fields.


Resolve Name Using Primary Connection

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Connection

Default: On

Resolve name requests will be done over only the primary connection if set to On.  If set to Off, resolve name requests will be done over all connections.


Resources Available to TSA

Property Page: Target Service Agent

Tab: TSA Information

Lists the resources that can be backed up by TSA.


Retries to DSS during Startup

Property Page: NetWare*/IP* Configuration

Tab: Parameters

Range: 1 to 10 (retries)

Default: 1

Specifies the number of times to retry an unanswered DSS request.


Run Scripts

Property Page: Novell* Client* Configuration

Tab: Login

If this check box is not checked, your login scripts will not run when you log in.


SPX Abort Timeout

Property Page: IPX* 32-bit Protocol

Tab: SPX

Range: 1 to 65535 (ticks)

Default: 540

Specifies how long (in ticks) the SPX* protocol should wait without receiving any response from the other side of the connection before it terminates the session.

You should not adjust this setting unless SPX is timing out too soon.


SPX Connections

Property Page: IPX* 32-bit Protocol

Tab: SPX

Range: 1 to 255

Default: 15

Specifies the number-of-connections value that is given to applications that query this information.

SPX* does not use this number to limit the number of SPX connections.  The number of SPX connections is limited only by the amount of available memory.

This setting is provided for compatibility with applications that query this information and make decisions based on it.


SPX Listen Timeout

Property Page: IPX* 32-bit Protocol

Tab: SPX

Range: 1 to 65535 (ticks)

Default: 108

Specifies how long (in ticks) the SPX* protocol waits without receiving a packet from the other side of the connection before it requests the other side to send a packet to confirm that the connection is still valid.

If SPX has not heard from the other side of the connection within this amount of time, it sends packets to the other side asking for verification that the connection still exists.

You should not adjust this setting unless SPX is timing out too soon.


SPX Verify Timeout

Property Page: IPX* 32-bit Protocol

Tab: SPX

Range: 1 to 65535 (ticks)

Default: 54

Specifies how often (in ticks) the SPX* protocol sends a packet to the other side of a connection to indicate that it exists.

If no packets are being exchanged on the SPX connection by the software that established the session, SPX sends packets at regular intervals to verify its presence in the connection.

You should not adjust this setting unless SPX is timing out too soon.


Save Settings When Exiting Login

Property Page: Novell* Client* Configuration

Tab: Login

If you check this check box, the settings you changed or entered are saved when you leave the NetWare* Login configuration page.  If you do not check the check box, your settings are not saved.


Scope List

Property Page: Novell Client Configuration

Tab: Service Location

This is a list of scope names that will be reported to SLP applications on this workstation.  Multiple scope names are allowed. The order of the list reflects the preference order. The first scope listed is the default scope. Scopes can also be configured via DHCP, or discovered dynamically from Directory Agents.

To add a Scope to the list:

1.	Enter a name in the text field.

2.	Click Add.

To remove a Scope from the list:

1.	Click a name in the Scope list.

2.	Click Delete.

To replace a Scope in the list with a new Scope:

1.	Type the name of the new Scope in the text field.

2.	Click the name of the item you want to replace

3.	Click Replace.

To move a Scope up in the list:

1.	Click the name of the Scope you want to move.

2.	Click Up.

3. Continue to click Up until the item is where you want it to be in the list.

To move a Scope down in the list:

1.	Click the name of the Scope you want to move.

2.	Click Down.

3. Continue to click Down until the item is where you want it to be in the list.


Search Dirs First

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Environment, NETX Compatibility

Default: Off

Specifies whether directories or files are displayed first when using the DIR command.

Off display files first, and then directories.

On displays directories first, and then files.


Search Mode

Property Page: Novell Client Configuration

Tab: Advanced Settings

Parameter Group: Environment, NETX Compatibility

Range: 0 to 7

Default: 1

Alters the way Novell* Client* for Windows** 95** finds a file that is not in the current directory.

In some previous NetWare Client software versions, the default drive had to be a network drive for this setting to function.  But now the effect is global.  This setting affects all .exe and .com files, regardless of the current drive.

When using Search Mode, select the search mode that works correctly with most of your .exe and .com files.

If you want to set a search mode for one particular .exe or .com file, use the Search Mode option in FLAG.


Seconds before Timeout

Property Page: Novell* Client* Configuration

Tab: Default Capture

Range: 0 to 1000 (seconds)

Default: 0

Specifies the number of seconds the operating system waits after the last data is received before closing the print job.


Security

Property Page: TSA Preferences

Tab: Preferences

Check the Security check box if you want to log security events.


Send Message

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Graphical Interface

Default: On

Specifies whether the Send Message function is enabled.  The Send Message function is accessed from the Context menu for the selected server in Network Neighborhood.


Server

Property Page: IP Gateway

The name of the server the IP Gateway is being used on.


Server Name

Property Page: Target Service Agent

Tab: TSA Information

Use the Server Name field to specify the name of the server the TSA should register to.


Service

Property Page: TSA Preferences

Tab: Preferences

Check the Service check box if you want to log service events.


Service (Location Profile)
Service

Property Page: Location Profile Properties

Tab: Services

Use this field to select either Connection Service or Login Service.

If you select Connection Service, the Connection Service dialog box appears. This dialog box allows you to map drives or capture printers so you can establish permanent connections to those devices when you start up the workstation.

If you select Login Service, you can configure your login settings.


Service Instances

Property Page: Location Profile Properties

Tab: Services

Enter the name for a new service instance, or select an existing service instance from the drop-down list.


Set Station Time

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Environment, NETX Compatibility

Default: On

Synchronizes the client workstation date and time with that of the NetWare* server that the client workstation initially attaches to.

Setting the value of this parameter to Off disables the synchronization feature.


Setting

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

The current setting of the selected parameter.


Short Machine Type

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Environment, NETX Compatibility

Default:  IBM**

Example:  AST

Specifies which overlay files to use with the specific machine type of your client workstation.  This setting is similar to Long Machine Type, except that it is used specifically with overlay files.  The value for this setting can be up to four characters long.

Use this setting when the %SMACHINE variable is accessed.  Examples of files using this setting and value include the ibm$run.ovl file for the windowing utilities and the cmpq$run.ovl file that uses a default black-and-white color palette for NetWare* menus.


Show Advanced Button on Login

Property Page: Novell* Client* Configuration

Tab: Advanced Login

Specifies whether the Advanced button on the Login dialog box is enabled.  This button leads to various tabs that help you to specify advanced login parameters.


Show Clear Connections on Login

Property Page: Novell* Client* Configuration

Tab: Advanced Login

Specifies whether the Clear Connections checkbox appears in the Login dialog box.  The check box allows you to clear all previous connections when you create a new connection to the network.


Show Edit Login Script Item

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Graphical Interface

Default: On

Specifies whether the Edit Login Script item is available in the User Administration menu.  The Show User Administration Menu parameter must be set to On for this parameter to be useful.


Show Location List on Login

Property Page: Novell* Client* Configuration

Tab: Advanced Login

Specifies whether the Location list in the Login dialog box is enabled.  The list shows recent places where the user has logged in.


Show Novell System Tray Icon

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Graphical Interface

Default: Enabled

If this parameter is enabled, the Novell icon appears in the System tray at the right-hand side of the task bar.

Right-click the Novell icon to select from a list of Novell Client tasks.

Double-click the Novell icon to log in to a NetWare tree or server.


Show Scheduler System Tray Icon

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Graphical Interface

Default: Enabled

If this parameter is enabled, the Novell Scheduler icon appears in the System tray at the right-hand side of the task bar.

Double-click the Scheduler icon to open the Scheduler.

Right-click the Scheduler icon to select from a list of Scheduler tasks.


Show TSA Icon on Taskbar

Property Page: Target Service Agent

Tab: TSA Information

Check this check box if you want the TSA icon to appear on the task bar.


Show User Administration Menu

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Graphical Interface

Default: On

Specifies whether the User Administration menu item is available from the Context menu of the selected server or tree in Network Neighborhood.


Show Variables Button on Login

Property Page: Novell* Client* Configuration

Tab: Advanced Login

Specifies whether the Variables button in the Login dialog box is enabled.  The button allows you to enter login script variables used when the user logs in.


Show Workstation Only on Login
Workstation Only

Property Page: Novell* Client* Configuration

Tab: Advanced Login

Check this check box if you want the Workstation Only check box to be availabe when users log in.

Check the Workstation Only check box in the Login dialog box if you want to log in to the Windows** workstation without logging in to the NetWare* network.


Shrink Path to Dot

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Environment, NETX Compatibility

Default: Off

Specifies whether network search drives in the DOS PATH set variable are truncated to a dot or left with the full directory path.


Signature Level

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Packet Management

Range: 0 to 3

Default: 1

Determines the level of enhanced security support.  Enhanced security includes the use of a message digest algorithm and a per connection/per request session state.

The values are as follows:

0 = Disabled

1 = Enabled but not preferred

2 = Preferred

3 = Required

Setting the value of this parameter to 2 or 3 increases security but decreases performance.


Static

Check the Static check box if you don't want the list to be supplemented by scopes that are discovered dynamically from Directory Agents.


Status

Property Page: IP Gateway

Shows the status of the IP Gateway.

The possible status numbers and their explanations:

0   =   Gateway disabled

1   =   Gateway not connected

2   =   Gateway connection in progress

3   =   Gateway access timed out

4   =   Gateway server busy

5   =   Gateway access denied

6   =   Gateway connected

7   =   No gateway server found

8   =   Gateway server rejected connection

9   =   Local network down

10 =   Gateway client aborted connection

11 =   Gateway server reset connection


Store Profile in User Home/Mail Directory

Property Page: Novell* Client* Configuration

Tab: Advanced Login

This button is available only if the NetWare Storage of Roaming Profile check box is checked on the Advanced Login property page.

Select the Store Profile in User Home/Mail Directory option to store the roaming profile on the network.  The user's Mail directory is used for bindery connections and the user's Home directory is used for NDS* connections.

The advantage of storing the user profile on the network is that it allows the user to utilize the same desktop environment on all workstations throughout the network.  Any changes made to the user environment on one workstation will be saved to the profile stored on the network.  The environment specified in the profile will be available on any and all workstations where the user subsequently logs in.


Store Profile in a NetWare File System Directory

Property Page: Novell* Client* Configuration

Tab: Advanced Login

This button is available only if the NetWare Storage of Roaming Profile check box is checked on the Advanced Login property page.

Select the Store Profile in a NetWare File System Directory option to store the roaming profile in a directory on a NetWare* server in a specific directory.  This option will store the profile of any user who logs in to the workstation in the specified directory.  This option is recommended primarily for use with mandatory profiles.

The advantage of storing the user profile on the network is that it allows the user to utilize the same desktop environment on all workstations throughout the network.  Any changes made to the user environment on one workstation will be saved to the profile stored on the network.  The environment specified in the profile will be available on any and all workstations where the user subsequently logs in.

When you select this option, the Path edit box becomes available.  Use this edit box to specify where the profile should be stored.


System Contact

Property Page: SNMP

Tab: SNMP

Default: None

This optional setting specifies the name of the system administrator (network supervisor) for your workstation.  Use the real name (not the username, etc.) of the person who should be contacted if your workstation needs maintenance.

It informs the SNMP manager of your workstation's system administrator, and this contact information can be retrieved by SNMP management stations.

It can be used by itself or with the System Name or System Location information.


System Location

Property Page: SNMP

Tab: SNMP

Default: None

This optional setting specifies the physical location of your workstation.

It informs the SNMP manager of the physical location of your workstation, and this location information can be retrieved by SNMP management stations.

It can be used by itself or with the System Contact or System Name information.


System Name

Property Page: SNMP

Tab: SNMP

Default: None

This optional setting specifies your username.  Use your user or login name--or your TCP/IP hostname, if one is assigned.  For example, if your login name is KSMITH, specify KSMITH.

It informs the SNMP manager of your username, and this username information can be retrieved by SNMP management stations.

It can be used by itself or with the System Contact or System Location information.


Trademarks, Copyright, Disclaimer, and Patents

Copyright © 1994-1998 Novell, Inc.  All rights reserved.  No part of this publication may be reproduced, photocopied, stored on a retrieval system, or transmitted without the express written consent of the publisher.

U.S. Patent Nos. 5,349,642; 5,594,863; 5,633,931; and 5,692,129.  U.S. and International Patents Pending.

Novell, Inc. makes no representations or warranties with respect to the contents or use of this documentation and specifically disclaims any express or implied warranties of merchantability or fitness for any particular purpose.  Further, Novell, Inc. reserves the right to revise this publication and to make changes to its content, at any time, without obligation to notify any person or entity of such revisions or changes.

Further, Novell, Inc. makes no representations or warranties with respect to any NetWare software, and specifically disclaims any express or implied warranties of merchantability or fitness for any particular purpose.  Further, Novell, Inc. reserves the right to make changes to any and all parts of NetWare software, at any time, without any obligation to notify any person or entity of such changes.

Novell Trademarks

Internetwork Packet Exchange and IPX are trademarks of Novell, Inc.

NDS is a trademark of Novell, Inc.

NetWare is a registered trademark of Novell, Inc. in the United States and other countries.

NetWare 4 is a trademark of Novell, Inc.

NetWare 5 is a trademark of Novell, Inc.

NetWare Client is a trademark of Novell, Inc.

NetWare Core Protocol and NCP are trademarks of Novell, Inc.

NetWare/IP is a trademark of Novell, Inc.

Novell is a registered trademark of Novell, Inc. in the United States and other countries.

Open Data-Link Interface and ODI are trademarks of Novell, Inc.

Packet Burst is a trademark of Novell, Inc.

Sequenced Packet Exchange and SPX are trademarks of Novell, Inc.

Third-Party Trademarks

Compaq is a registered trademark of Compaq Computer Corporation.

Hayes is a registered trademark of Hayes Microcomputer Products, Incorporated.

Hewlett Packard and HP are registered trademarks of Hewlett-Packard Company.

International Business Machines and IBM are registered trademarks of International Business Machines Corporation.

LaserJet is a registered trademark of Hewlett-Packard Company.

Microsoft is a registered trademark of Microsoft Corporation.

MS-DOS is a registered trademark of Microsoft Corporation.

Network Driver Interface Specification and NDIS are trademarks of PC-Plus Communications LP.

PostScript is a registered trademark of Adobe Systems Incorporated.

Quantum is a registered trademark of Quantum Corporation.

Windows 95 is a trademark of Microsoft Corporation.

Windows NT is a registered trademark of Microsoft Corporation.


Tree

Property Page: Novell* Client* Configuration

Tab: Client

This list is part of the Tree and Name Context Pair parameter, which specifies the location of each User object in the Directory tree for NetWare* 4* and later users using NDS*.  This parameter pair does not apply if you are logging in to a NetWare server using bindery services.

The name context applies to any user logging in to a specified tree using this workstation.  Because it is possible to log in to multiple trees, each tree has its own designated name context.  You can change the tree and the name context when you log in.  However, a user can have only one name context in any one tree.


Tree and Name Context Pair

Property Page: Novell* Client* Configuration

Tab: Client

Specifies the location of each User object in the Directory tree for NetWare* 4* and later users using NDS*.  It does not apply if you are logging in to a NetWare 3* server or a NetWare 4 server using bindery services.

The name context applies to any user logging in to a specified tree using this workstation.  Because it is possible to log in to multiple trees, each tree has its own designated name context.  You can change the tree and the name context when you log in.  However, a user can have only one name context in any one tree.


True Commit

Property Page: Novell* Client* Configuration

Tab: Advanced Settings

Parameter Group: Performance, Cache

Default: Off

Specifies whether file writes should be written to the server's disk immediately.

Setting the value of this parameter to On guarantees data integrity when processing critical data.  But this also slows performance, because data that is written to the network is not cached at the workstation or the server.

Setting the value of this parameter to Off results in better performance.

Set to Off to choose performance over integrity.  Set to On to choose integrity over performance.


Trusted Tree

Property Page: Novell* Workstation Manager

Tab: Workstation Manager

Specifies the trusted tree used by Workstation Manager.


Up

Select an item from the list and click Up to move that item up one position in the list.


Use All Detected Frame Types

Property Page: IPX 32-bit Protocol

Tab: Advanced IPX

Default: On

Specifies whether IPX* automatically binds to all logical boards that it detects.

When this parameter is set to On, IPX automatically binds to all logical boards.  The LAN drivers don't need to be loaded before IPX.  If IPX detects that a LAN driver is loaded, it then binds to the logical boards presented by that LAN driver.

If IPX doesn't need to use all the logical boards that are presented to it, you can improve the performance of your workstation by using the Use Only the Following Frame Types setting to specify only those logical boards that are needed.


Use NWIP Custom Port

Property Page: NetWare/IP Configuration

Tab: Parameters

Default: Off

For networks where the default NWIP port (0xABCD) is not used.  Configuring the correct NWIP default port will improve NWIP client startup in NetWare*/IP* 2.2 networks.


Use Novell GINA
Use Novell GINA if a 3rd Party GINA is Found

Property Page: Installation Configuration

Tab: Client

Default: On

Specifies whether the Novell* Client* for Windows** NT** GINA Authenticator is installed when a third-party GINA is detected.

If the Ask to Use Novell GINA parameter is set to No and the Use Novell GINA if a 3rd Party GINA is Found setting is Yes, then the Novell GINA is always installed.

If the Ask to Use Novell GINA parameter is set to No and the Use Novell GINA if a 3rd Party GINA is Found parameter is No, then the Novell GINA will not be used if a 3rd party GINA exists (except for the Microsoft GINA, which is always replaced).

If the Ask to Use Novell GINA parameter is Yes, then the Use setting determines which button on the dialog box is the default button.


Use Only the Following Frame Types

Property Page: IPX 32-bit Protocol

Tab: Advanced IPX

Default: Off

Specifies the logical boards that IPX* binds to.  You specify the logical boards by selecting the frame type.  Each time you select a frame type, click Add to add it to the list.

If IPX doesn't need to use all the logical boards that are presented to it, you can improve the performance of your workstation by using this setting to specify only those logical boards that are needed.


Use Video BIOS

Property Page: Novell Client Configuration

Tab: Advanced Settings

Parameter Group: Environment, NETX Compatibility

Default: Off

Specifies whether Novell* Client* for Windows** 95** uses BIOS or direct video memory access.

This parameter applies only to messages that are displayed in character mode.  If character-mode popups do not function well, try setting the value of this parameter to On, which causes the client to use BIOS calls.

Otherwise, this parameter should be set to Off, which causes the client to use direct video memory access (which is faster than using BIOS calls).


User

Property Page: IP Gateway

Shows the name of the user who is using the IP Gateway.


User name (TSA)
User Name

Property Page: Target Service Agent

Tab: TSA Information

Enter the name of the user who is allowed to run the Target Service Agent on the workstation.


Variables %2
Variables

Property Page: Novell* Client* Configuration

Tab: Login

You can define up to four variables to be used by the login scripts.

For example, you might define one variable as MAIL.  Your login script might use the MAIL variable to map drives to the mail server.

To define a variable, enter it in the appropriate variable field on the Login property page in the Novell Client Services configuration page found in the Network control panel.

Variables can be up to 255 characters long.


Variables %3
Variables

Property Page: Novell* Client* Configuration

Tab: Login

You can define up to four variables to be used by the login scripts.

For example, you might define one variable as MAIL.  Your login script might use the MAIL variable to map drives to the mail server.

To define a variable, enter it in the appropriate variable field on the Login property page in the Novell Client Services configuration page found in the Network control panel.

Variables can be up to 255 characters long.


Verbose

Property Page: NetWare/IP Configuration

Tab: Parameters

Default: Off

If you need to troubleshoot NetWare*/IP*, check this check box..  Additional NetWare/IP messages are logged when this parameter is set to On.


Version

Property Page: Novell* Client* Configuration

Tab: Client

Shows the version number of the client.


Workstation NDS Refresh Rate

Property Page: Novell* Workstation Manager

Tab: Workstation Manager

Range: 1 to 60000 (minutes)

Default: 10

After the Workstation Manager service authenticates, it periodically polls NDS to see if any scheduled actions have been associated to or removed from the workstation.  This setting allows a network supervisor to change the time between the refreshes.


ticks
Tick

There are approximately 18.21 ticks per second on IBM** PCs and compatibles.  Therefore, you can assume the following:

3 seconds is about 54 ticks

30 seconds is about 545 ticks

1 minute is about 1090 ticks

5 minutes is about 5460 ticks


variables %4
Variables

Property Page: Novell* Client* Configuration

Tab: Login

You can define up to four variables to be used by the login scripts.

For example, you might define one variable as MAIL.  Your login script might use the MAIL variable to map drives to the mail server.

To define a variable, enter it in the appropriate variable field on the Login property page in the Novell Client Services configuration page found in the Network control panel.

Variables can be up to 255 characters long.


variables %5
Variables

Property Page: Novell* Client* Configuration

Tab: Login

You can define up to four variables to be used by the login scripts.

For example, you might define one variable as MAIL.  Your login script might use the MAIL variable to map drives to the mail server.

To define a variable, enter it in the appropriate variable field on the Login property page in the Novell Client Services configuration page found in the Network control panel.

Variables can be up to 255 characters long.